---
name: Bug report
about: Create a report to help us improve
title: '[BUG] '
labels: 'bug'
assignees: 'MarekWadinger'

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:

1. Import/setup code
2. Run specific function
3. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Code Example**

```python
# Please provide a minimal working example that reproduces the issue
import tf2ss

# Your code here
```

**Error Message**
If applicable, paste the full error message/traceback here.

**Environment (please complete the following information):**

- OS: [e.g. Windows, macOS, Linux]
- Python version: [e.g. 3.10, 3.11, 3.12]
- tf2ss version: [e.g. 1.0.0]
- Other relevant package versions: [e.g. numpy 1.24.0, scipy 1.10.0]

**Additional context**
Add any other context about the problem here.
